Package org.apache.tools.ant.taskdefs.optional.net

## Class RExecTask.RExecWrite

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.net.RExecTask.RExecSubTask
  - - org.apache.tools.ant.taskdefs.optional.net.RExecTask.RExecWrite

Enclosing class:
  RExecTask

    public class RExecTask.RExecWrite
    extends RExecTask.RExecSubTask

Sends text to the connected server

### Field Summary

### Fields inherited from class org.apache.tools.ant.taskdefs.optional.net.RExecTask.RExecSubTask

`taskString`

### Constructor Summary

Constructors
`RExecWrite()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute​(RExecTask.AntRExecClient rexec)` Execute the write exec task.
`void` `setEcho​(boolean b)` Whether or not the message should be echoed to the log.

### Methods inherited from class org.apache.tools.ant.taskdefs.optional.net.RExecTask.RExecSubTask

`addText, setString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RExecWrite

    public RExecWrite()

### Method Detail

#### execute

    public void execute​(RExecTask.AntRExecClient rexec)
                 throws BuildException

Execute the write exec task.

Overrides:
  `execute` in class `RExecTask.RExecSubTask`
Parameters:
  `rexec` - the task to use
Throws:
  `BuildException` - on error

#### setEcho

    public void setEcho​(boolean b)

Whether or not the message should be echoed to the log. Defaults to `true`.

Parameters:
  `b` - a `boolean` value